Jordan Justen pushed to branch debian-unstable at X Strike Force / lib / waffle


Commits:
76abeb10 by Jordan Justen at 2023-10-20T00:14:45-07:00
d/changelog: Start 1.8.0-2 changelog

Signed-off-by: Jordan Justen <jljus...@debian.org>

- - - - -
383c0cbe by Simon McVittie at 2023-10-21T03:18:47-07:00
d/control: Add missing dependency libwaffle-dev -> libdrm-dev

libwaffle-dev contains waffle-1.pc, which has a Requires on libdrm;
therefore libwaffle-dev should depend on the package that contains
libdrm.pc, which is libdrm-dev.

I've verified that this is sufficient to allow a simple test program
to be linked to libwaffle in an otherwise minimal container.

Fixes: 5ab2d5a2 "d/control: Upstream replaced libudev dep with libdrm"
Closes: #1053836
Signed-off-by: Simon McVittie <s...@collabora.com>

- - - - -
bf98fe93 by Simon McVittie at 2023-10-21T03:19:09-07:00
d/control: libwaffle-dev no longer needs to depend on libudev-dev

waffle-1.pc no longer depends on udev.pc.

Fixes: 5ab2d5a2 "d/control: Upstream replaced libudev dep with libdrm"
Signed-off-by: Simon McVittie <s...@collabora.com>

- - - - -
c92e1c2d by Simon McVittie at 2023-10-21T03:19:14-07:00
d/tests: Add superficial autopkgtests

Even superficial tests like these are surprisingly good at detecting
packaging issues, like a missing dependency on libdrm-dev.

Signed-off-by: Simon McVittie <s...@collabora.com>

- - - - -
5cbdca10 by Jordan Justen at 2023-10-21T03:22:58-07:00
d/changelog: Release 1.8.0-2 to unstable

Signed-off-by: Jordan Justen <jljus...@debian.org>

- - - - -


5 changed files:

- debian/changelog
- debian/control
- + debian/tests/build
- + debian/tests/control
- + debian/tests/info


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,13 @@
+waffle (1.8.0-2) unstable; urgency=medium
+
+  [ Simon McVittie ]
+  * d/control: Add missing dependency libwaffle-dev -> libdrm-dev
+    (Closes: #1053836)
+  * d/control: libwaffle-dev no longer needs to depend on libudev-dev
+  * d/tests: Add superficial autopkgtests
+
+ -- Jordan Justen <jljus...@debian.org>  Sat, 21 Oct 2023 03:21:58 -0700
+
 waffle (1.8.0-1) unstable; urgency=medium
 
   * New upstream release


=====================================
debian/control
=====================================
@@ -40,10 +40,10 @@ Package: libwaffle-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libegl-dev,
+Depends: libdrm-dev,
+         libegl-dev,
          libgbm-dev,
          libgl-dev,
-         libudev-dev,
          libwaffle-1-0 (= ${binary:Version}),
          libwayland-dev,
          libx11-xcb-dev,


=====================================
debian/tests/build
=====================================
@@ -0,0 +1,44 @@
+#!/bin/sh
+# Copyright © 2019-2023 Collabora Ltd.
+# SPDX-License-Identifier: BSD-2-Clause
+# (see debian/copyright)
+
+# Check that the library can be linked by using pkgconf in the most
+# obvious way.
+
+set -e
+set -u
+set -x
+
+if [ -n "${DEB_HOST_GNU_TYPE:-}" ]; then
+    CROSS_COMPILE="$DEB_HOST_GNU_TYPE-"
+else
+    CROSS_COMPILE=
+fi
+
+CC="${CROSS_COMPILE}gcc"
+PKG_CONFIG="${CROSS_COMPILE}pkgconf"
+
+tempdir="$(mktemp -d)"
+cd "$tempdir"
+
+cat > trivial.c <<'EOF'
+#undef NDEBUG
+#include <assert.h>
+
+#include <waffle.h>
+
+int main (void)
+{
+  assert (waffle_enum_to_string (WAFFLE_DONT_CARE) != NULL);
+  return 0;
+}
+EOF
+
+# Deliberately word-splitting pkgconf output
+# shellcheck disable=SC2046
+"$CC" -o trivial trivial.c $("$PKG_CONFIG" --cflags --libs waffle-1)
+test -x trivial
+./trivial
+
+rm -fr "$tempdir"


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,11 @@
+Tests: build
+Restrictions: allow-stderr, superficial
+Depends:
+ build-essential,
+ libwaffle-dev,
+ pkgconf,
+
+Tests: info
+Restrictions: superficial
+Depends:
+ waffle-utils,


=====================================
debian/tests/info
=====================================
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Copyright © 2019-2021 Collabora Ltd.
+# SPDX-License-Identifier: BSD-2-Clause
+# (see debian/copyright)
+
+set -eu
+
+# We don't actually check for a GL context here, because there's no
+# guarantee that the test system has working GL: we just check that
+# an executable linked to the shared library can run at all.
+wflinfo --help



View it on GitLab: 
https://salsa.debian.org/xorg-team/lib/waffle/-/compare/d893545f97c03e0c2e1e9f005ff324389b022a26...5cbdca10868eaa612fa7671e1e866b1687868db4

-- 
View it on GitLab: 
https://salsa.debian.org/xorg-team/lib/waffle/-/compare/d893545f97c03e0c2e1e9f005ff324389b022a26...5cbdca10868eaa612fa7671e1e866b1687868db4
You're receiving this email because of your account on salsa.debian.org.


Reply via email to